Bug 18104 - Allow SIP2 field AE (personal name) to be customized
Summary: Allow SIP2 field AE (personal name) to be customized
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 16755
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-13 14:11 UTC by Kyle M Hall
Modified: 2017-11-28 07:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18104 - allow SIP2 field AE (personal name ) to be customized (3.32 KB, patch)
2017-03-06 14:02 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18104 - allow SIP2 field AE (personal name ) to be customized (4.19 KB, patch)
2017-03-07 14:40 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18104 - allow SIP2 field AE (personal name ) to be customized (4.29 KB, patch)
2017-06-23 08:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18104: Add a test for customized name in AE (1.79 KB, patch)
2017-06-23 08:15 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18104: [QA Follow-up] Add a test for customized name in AE (1.80 KB, patch)
2017-06-23 08:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-02-13 14:11:16 UTC
Koha's SIP2 server sends the patron's name in the format "Firstname Surname" which is not very good for machine reading. We need to allow the format of the patron name to be customized in a manner similar to what is done with the DA field on bug 16755.
Comment 1 Kyle M Hall 2017-03-06 14:02:40 UTC
Created attachment 60845 [details] [review]
Bug 18104 - allow SIP2 field AE (personal name ) to be customized
Comment 2 Kyle M Hall 2017-03-07 14:40:29 UTC
Created attachment 60876 [details] [review]
Bug 18104 - allow SIP2 field AE (personal name ) to be customized

Koha's SIP2 server sends the patron's name in the format "Firstname
Surname" which is not very good for machine reading. We need to allow
the format of the patron name to be customized in a manner similar to
what is done with the DA field on bug 16755.

Test Plan:
1) Apply this patch, start or restart your SIP server
2) Find a patron with a first and last name
3) Send a patron information request via the sip2 cli tool
4) Note the AE field has the format "<firstname> <surname>" ( i.e. the current behavior )
5) Add this parameter to the login stanza you are using:
   ae_field_template="[% patron.surname %][% IF patron.firstname %], [% patron.firstname %][% END %]"
6) Restart your SIP server
7) Repeat step 3
8) Note the AE field now has the format "<surname>, <firstname>"

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Benjamin Daeuber <BDaeuber@cityoffargo.com>
Comment 3 Marcel de Rooy 2017-06-23 08:15:25 UTC
Created attachment 64579 [details] [review]
Bug 18104 - allow SIP2 field AE (personal name ) to be customized

Koha's SIP2 server sends the patron's name in the format "Firstname
Surname" which is not very good for machine reading. We need to allow
the format of the patron name to be customized in a manner similar to
what is done with the DA field on bug 16755.

Test Plan:
1) Apply this patch, start or restart your SIP server
2) Find a patron with a first and last name
3) Send a patron information request via the sip2 cli tool
4) Note the AE field has the format "<firstname> <surname>" ( i.e. the current behavior )
5) Add this parameter to the login stanza you are using:
   ae_field_template="[% patron.surname %][% IF patron.firstname %], [% patron.firstname %][% END %]"
6) Restart your SIP server
7) Repeat step 3
8) Note the AE field now has the format "<surname>, <firstname>"

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Benjamin Daeuber <BDaeuber@cityoffargo.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-06-23 08:15:29 UTC Comment hidden (obsolete)
Comment 5 Marcel de Rooy 2017-06-23 08:18:35 UTC
Created attachment 64581 [details] [review]
Bug 18104: [QA Follow-up] Add a test for customized name in AE

Test plan:
Run t/db_dependent/SIP/Message.t

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2017-07-06 18:49:05 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-07-12 10:04:42 UTC
Enhancement not pushed to 17.05.x